Bug 138428 - CRASH: Undoing paste after editing comment
Summary: CRASH: Undoing paste after editing comment
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha1+
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-23 12:17 UTC by Xisco Faulí
Modified: 2020-11-30 21:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-11-23 12:17:34 UTC
Steps to reproduce:
1. Open calc
2. Insert a comment in A1
3. Write something into the comment
4. Cut A1
5. Paste in A1
6. Write something else in the comment
7. Undo three times

-> Crash

Reproduced in

Version: 7.1.0.0.alpha1+
Build ID: 2f7b5634487ac3d27777ab12a57089e71ea5216d
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-11-23 12:20:20 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-7-0&id=0d36233d4555b5f160a407328661825eb9305c98

author	Caolán McNamara <caolanm@redhat.com>	2020-11-18 17:09:52 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-11-19 09:49:48 +0100
commit	2f7b5634487ac3d27777ab12a57089e71ea5216d (patch)
tree	a1821126e4dd9399f41ebe561cc8406df5ae8597
parent	4198d04df49cff31f509b219293e5e18f7499e05 (diff)
Resolves: tdf#114956 skip broadcast optimization for ScPostIts

Bisected with: bibisect-linux64-7.1

Adding Cc: to Caolán McNamara
Comment 2 Xisco Faulí 2020-11-23 15:52:26 UTC
it also crashes after undoing column insertion.

Steps to reproduce:
1. Open attachment 148264 [details] from bug 122674
2. Sheet - Insert Column before
3. Undo

-> Crash
Comment 3 Xisco Faulí 2020-11-23 15:56:14 UTC
also crashes with the following steps:
1. Open attachment 132310 [details] from bug 106919
2. In sheet 'Solar' select all - delete
3. Undo
Comment 4 Caolán McNamara 2020-11-23 16:26:38 UTC
the SetName must be recording undo info, which we don't want it to do
Comment 5 Commit Notification 2020-11-23 19:56:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/85cc3d3f6932f73abda2dcd4814f6a8c000b09bf

tdf#138428 don't record SetName("ScPostIt") in undo

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-11-23 19:58:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/ef81ab795547ccdfda999a0490564ac6d9f5764f

tdf#138428 don't record SetName("ScPostIt") in undo

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2020-11-23 20:05:09 UTC
fixed in master and 7-1, backport to 7-0 in gerrit
Comment 8 Commit Notification 2020-11-23 20:10:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2e4fbdf192ec9468ddbd0fcfe2e36d4db1e36837

tdf#138428 don't record SetName("ScPostIt") in undo

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-11-24 10:18:21 UTC
Verified in

Version: 7.1.0.0.beta1+
Build ID: e2cffcf55b04838abc7497f6c18518c7600b670b
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!!
Comment 10 Commit Notification 2020-11-24 17:54:00 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b5525444db57e9e9c289f08d7a03f77b15acd8b4

tdf#138428: sc_uicalc: Add unittest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.